/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { ApprovalStatus } from '@aws-sdk/client-codepipeline';
type AwsCodePipelineType = Widget & {
    pipelineName: string;
    region: string;
    pipeline?: Pipeline;
};
type AwsCodePipelineOverrides = {
    pipelineName?: string;
    region?: string;
    approval?: {
        stageName: string;
        actionName: string;
        status: ApprovalStatus;
        token: string;
    };
    startPipeline?: boolean;
};
type PipelineAction = {
    name: string;
    status: string;
    lastStatusChange?: Date;
    token?: string;
    category: string;
    provider: string;
    runOrder: number;
};
type PipelineStage = {
    name: string;
    status: string;
    actions: PipelineAction[];
};
type Pipeline = {
    name: string;
    arn: string;
    stages: PipelineStage[];
};
declare class AwsCodePipeline extends BaseWidget implements AwsCodePipelineType {
    static type: string;
    pipelineName: string;
    region: string;
    pipeline?: Pipeline;
    constructor(props: AwsCodePipelineType);
    static fromJson(object: AwsCodePipelineType): AwsCodePipeline;
    toJson(): AwsCodePipelineType;
    getData(providers?: BaseProvider[], overrides?: AwsCodePipelineOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCodePipelineOverrides) => void): JSX.Element;
}
export { AwsCodePipeline, AwsCodePipelineType, AwsCodePipelineOverrides };
export default AwsCodePipeline;
